Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast
Class ForecastResult

    java.lang.Object
      kieker.tools.tslib.forecast.ForecastResult

All Implemented Interfaces:
  IForecastResult

    public class ForecastResult

extends Object
implements IForecastResult

Result of a time series forecast, e.g., computed by `IForecaster`. If additional fields are required, `IForecaster`s should extend this class.

Since:
  1.10
Author:
  Andre van Hoorn

Constructor Summary
`ForecastResult(ITimeSeries<Double> tsForecast, ITimeSeries<Double> tsOriginal, ForecastMethod fcStrategy)` Constructs a `ForecastResult` with confidence level `0`, where the time series returned `getLower()` by `getUpper()` are the forecast series.
`ForecastResult(ITimeSeries<Double> tsForecast, ITimeSeries<Double> tsOriginal, int tsconfidenceLevel, double tsmeanAbsoluteScaledError, ITimeSeries<Double> tsLower, ITimeSeries<Double> tsUpper, ForecastMethod fcStrategy)`

Method Summary
`int` | `getConfidenceLevel()` Returns the confidence level for the forecast interval.
`ForecastMethod` | `getFcStrategy()` Returns the forecasting strategy that has been used for this forecast.
`ITimeSeries<Double>` | `getForecast()` Returns the point forecasts.
`ITimeSeries<Double>` | `getLower()` Returns the lower limits for forecast interval with respect to the confidence level `IForecastResult.getConfidenceLevel()`.
`double` | `getMeanAbsoluteScaledError()` Returns the MeanAbsoluteScaledError.
`ITimeSeries<Double>` | `getOriginal()` Returns the original time series that was the basis for the forecast.
`ITimeSeries<Double>` | `getUpper()` Returns the upper limits for forecast interval with respect to the confidence level `IForecastResult.getConfidenceLevel()`.
`boolean` | `isPlausible()` Checks whether the input seems to be plausible.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForecastResult

    public ForecastResult(ITimeSeries<Double> tsForecast,
                          ITimeSeries<Double> tsOriginal,
                          int tsconfidenceLevel,
                          double tsmeanAbsoluteScaledError,
                          ITimeSeries<Double> tsLower,
                          ITimeSeries<Double> tsUpper,
                          ForecastMethod fcStrategy)

Parameters:
  `tsForecast` - TimesSeries
  `tsOriginal` - TimeSeries
  `tsconfidenceLevel` - confidentLevel
  `tsmeanAbsoluteScaledError` - MASE
  `tsLower` - ??
  `tsUpper` - ??
  `fcStrategy` - FC Method

### ForecastResult

    public ForecastResult(ITimeSeries<Double> tsForecast,
                          ITimeSeries<Double> tsOriginal,
                          ForecastMethod fcStrategy)

  Constructs a `ForecastResult` with confidence level `0`, where the time series returned `getLower()` by `getUpper()` are the forecast series.

  Parameters:
    `tsForecast` - Timeseries with forecast
    `tsOriginal` - Timeseries with orginal
    `fcStrategy` - forecastMethod

Method Detail

### getForecast

    public ITimeSeries<Double> getForecast()

  Description copied from interface: `IForecastResult`
  Returns the point forecasts.

  Specified by:
    `getForecast` in interface `IForecastResult`

### getConfidenceLevel

    public int getConfidenceLevel()

  Description copied from interface: `IForecastResult`
  Returns the confidence level for the forecast interval.

  Specified by:
    `getConfidenceLevel` in interface `IForecastResult`

### getUpper

    public ITimeSeries<Double> getUpper()

  Description copied from interface: `IForecastResult`
  Returns the upper limits for forecast interval with respect to the confidence level `IForecastResult.getConfidenceLevel()`.

  Specified by:
    `getUpper` in interface `IForecastResult`

### getLower

    public ITimeSeries<Double> getLower()

  Description copied from interface: `IForecastResult`
  Returns the lower limits for forecast interval with respect to the confidence level `IForecastResult.getConfidenceLevel()`.

  Specified by:
    `getLower` in interface `IForecastResult`

### getOriginal

    public ITimeSeries<Double> getOriginal()

  Description copied from interface: `IForecastResult`
  Returns the original time series that was the basis for the forecast.

  Specified by:
    `getOriginal` in interface `IForecastResult`
  Returns:
    orginal Timeseries

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMeanAbsoluteScaledError

    public double getMeanAbsoluteScaledError()

  Description copied from interface: `IForecastResult`
  Returns the MeanAbsoluteScaledError.

  Specified by:
    `getMeanAbsoluteScaledError` in interface `IForecastResult`
  Returns:
    MASE

### getFcStrategy

    public ForecastMethod getFcStrategy()

  Description copied from interface: `IForecastResult`
  Returns the forecasting strategy that has been used for this forecast.

  Specified by:
    `getFcStrategy` in interface `IForecastResult`
  Returns:
    ForecastMethod

### isPlausible

    public boolean isPlausible()

  Checks whether the input seems to be plausible.

  Specified by:
    `isPlausible` in interface `IForecastResult`
  Returns:
    true if plausible, else false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net